﻿using Infragistics.Windows;
using Infragistics.Windows.Controls;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamTabControlMultiLocationCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm;
        public MainWindow()
        {
            InitializeComponent();
            vm = new ViewModel();
            this.DataContext = vm;
        }      

        private void XamTabControl_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if(e.AddedItems !=null && e.AddedItems.Count != 0)
            {
                string str = e.AddedItems[0].ToString();

                int index = vm.Tabs.IndexOf(str);

                actualTabControl.SelectedIndex = index;                
            }
        }
    }
}
